'''
Created on April 28, 2020
@author: Andrew Habib
'''

import json
from jsonsubschema.api import isSubschema
from jsonsubschema.exceptions import _UnsupportedCase

path_to_schema_list = 'table4-schemas.txt'


def main():
    with open(path_to_schema_list, 'r') as fh:
        pairs_of_schemas = fh.readlines()

    for pair in pairs_of_schemas:
        # Load schema pairs
        lhs_path, rhs_path = pair.strip('\n').split('\t')
        with open(lhs_path, 'r') as fh:
            lhs = json.load(fh)
        with open(rhs_path, 'r') as fh:
            rhs = json.load(fh)

        # Check subschema relation
        try:
            print(isSubschema(lhs, rhs))
        except _UnsupportedCase:
            print('Undecided')


if __name__ == "__main__":

    main()
