/*
Created on June 24, 2019
@author: Andrew Habib
*/

const issubset = require('is-json-schema-subset');
const fs = require('fs');

var args = process.argv.slice(2)

let raw_lhs = fs.readFileSync(args[0])
let raw_rhs = fs.readFileSync(args[1])

let lhs = JSON.parse(raw_lhs)
let rhs = JSON.parse(raw_rhs)

async function check_subset() {
	try {
		if (await issubset.default(lhs, rhs)) {
			console.log("True")
		} else {
			console.log("False")
		}
	} catch(e) {
		console.log(e.message)
	}

}

function removeMeta(obj) {
	for(prop in obj) {
	  if (prop === '$schema')
		delete obj[prop];
	  else if (typeof obj[prop] === 'object')
		removeMeta(obj[prop]);
	}
}

removeMeta(lhs)
removeMeta(rhs)

check_subset()